####
#install (if needed) and load the four libraries we need for the exercise
library(tidyr)
library(dplyr)
library(stringr)
library(lsr)

####
#point R to your desired working directory
setwd("your_path_here")

###
#Load the dataset, called "data," which is a CSV file - the first row contains headers
data <- read.csv("Taggers.csv", header=TRUE)

###
#have a look at the variables (columns) in the dataframe "data"
#if you click on the dataframe in your "environment panel," you can also have a detailed look around
names(data)

###
#have a look at the first three observations (rows) on the variables concerning the tagger output
data$Clarifai[1:3]
data$Microsoft[1:3]
data$Watson[1:3]
data$Imagga[1:3]

###
#Data cleaning issue: within the Watson tags, there are some parenthese
#Use regular expressions to clean them up
data$Watson <- gsub("\\(","",data$Watson)
data$Watson <- gsub("\\)","",data$Watson)



