####
#We've just seen that the taggers infer male gender for almost all images
#Since the dataset is balanced for race/gender, we don't expect any racial bias
#Let's double check this using the Chi Square Test of Independence
#

library(MASS)

#HO: There is no correlation between the depicted person's race and Clarifai's accuracy on gender (i.e., the two variables are independent)
#HA: The two variables are independent.

> chisq.test(data$Race,data$GenderClarifai)

	Pearson's Chi-squared test

data:  data$Race and data$GenderClarifai
X-squared = 0.68055, df = 3, p-value = 0.8778


